Loading...
Searching...
No Matches
juce::AudioDeviceManager::LevelMeter Struct Reference

## Detailed Description

A simple reference-counted struct that holds a level-meter value that can be read using getCurrentLevel().

This is used to ensure that the level processing code is only executed when something holds a reference to one of these objects and will be bypassed otherwise.

See also
  getInputLevelGetter, getOutputLevelGetter

The documentation for this struct was generated from the following file:

- juce_audio_devices/audio_io/juce_AudioDeviceManager.h

Inheritance diagram for juce::AudioDeviceManager::LevelMeter:

## Public Types

using | Ptr = ReferenceCountedObjectPtr<LevelMeter>

## Public Member Functions

| LevelMeter () noexcept
double | getCurrentLevel () const noexcept
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Additional Inherited Members

Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Member Typedef Documentation

## Ptr

using juce::AudioDeviceManager::LevelMeter::Ptr = ReferenceCountedObjectPtr<LevelMeter>

## Constructors and Destructors

## LevelMeter()

juce::AudioDeviceManager::LevelMeter::LevelMeter | ( |  | ) |

noexcept

## Member Functions

## getCurrentLevel()

double juce::AudioDeviceManager::LevelMeter::getCurrentLevel | ( |  | ) | const

noexcept

References getCurrentLevel().

Referenced by getCurrentLevel().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited